@extends ('layouts.patient')
@section('inner-content')
    <div class="">
        <div class="d-flex align-items-start pb-2">
            <h4 class="font-weight-bold m-0">Measurements</h4>
        </div>
        <table class="table table-striped table-sm table-bordered mb-0">
            @if($patient->measurements && count($patient->measurements))
                <thead>
                <tr>
                    <th class="px-2 text-secondary">Created</th>
                    <th class="px-2 text-secondary w-25">Category</th>
                    <th class="px-2 text-secondary w-50">Value</th>
                    <th class="px-2 text-secondary">Status</th>
                </tr>
                </thead>
                <tbody>
                @foreach($patient->deviceMeasurements as $measurement)
                    <tr>
                        <td class="px-2">{{ friendly_date_time($measurement->created_at) }}</td>
                        <td class="px-2">{{ $measurement->measurement->device_category }}</td>
                        <td class="px-2">
                            @if($measurement->measurement->device_category === 'WEIGHT')
                                <b>{{ round($measurement->measurement->value_weight / 1000, 1) }} Kg</b>
                            @elseif($measurement->measurement->device_category === 'BP')
                                <b>{{ $measurement->measurement->systolic_bp_in_mm_hg }}/{{ $measurement->measurement->diastolic_bp_in_mm_hg }} mmHg</b>
                            @endif
                        </td>
                        <td class="px-2">
                            <span>
                                <span>{{ $measurement->status }}</span>
                                <span moe class="ml-2" relative>
                                    <a href="#" start show><i class="fa fa-edit text-primary"></i></a>
                                    <form url="/api/clientBdtMeasurement/updateStatus" right>
                                        <input type="hidden" name="uid" value="{{ $measurement->uid }}">
                                        <div class="mb-2">
                                            <select name="status" class="form-control form-control-sm" required>
                                                <option value="">-- select --</option>
                                                <option {{$measurement->status === 'NEW' ? 'selected' : ''  }} value="NEW">NEW</option>
                                                <option {{$measurement->status === 'ACCEPTED' ? 'selected' : ''  }} value="ACCEPTED">ACCEPTED</option>
                                                <option {{$measurement->status === 'REJECTED' ? 'selected' : ''  }} value="REJECTED">REJECTED</option>
                                            </select>
                                        </div>
                                        <div class="mb-2">
                                            <input type="text" name="statusMemo" placeholder="Status memo" class="form-control form-control-sm">
                                        </div>
                                        <div class="d-flex align-items-center">
                                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                        </div>
                                    </form>
                                </span>
                            </span>
                        </td>
                    </tr>
                @endforeach
                </tbody>
            @else
                <tbody>
                <tr>
                    <td class="text-secondary p-3">No device measurements for this patient</td>
                </tr>
                </tbody>
            @endif
        </table>
    </div>
@endsection
